Mailinglist Archive: opensuse-buildservice (209 mails)

< Previous Next >
Re: [opensuse-buildservice] openSUSE_12.2: nothing provides libssh2.so.1(LIBSSH2_1.3.0) needed by libcurl4
On Wednesday 2013-05-29 19:59, Archie Cobbs wrote:

Attempting to build in openSUSE_12.2 results in:

buildinfo is broken... it says:
unresolvable: nothing provides libssh2.so.1(LIBSSH2_1.3.0) needed
by libcurl4

For example:
https://build.opensuse.org/package/show?package=s3backer&project=filesystems

Is this something that will fix itself automatically or does somebody
need to do something?

Cristian Rodriguez added a symbol versioning patch that seems to have
never made it upstream. As such, 12.2's curl wants symbols that are not
present in newer versions of libssh2_org.

And it so happens there is a filesystems/libssh2_org shipping a new
version.

The way I see it, filesystems/libssh2_org can be removed as nothing from
the project seems to directly BuildRequire it.
--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
References